Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5116)
@@ -1740,18 +1734,18 @@
           enddo ! do i=1,klon     
         endif
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
            do i=1,klon  
                   CALL iso_verif_aberrant_choix(zxtcond(iso_hdo,i), &
                  zcond(i),ridicule_rain,deltalim_snow,'il pleut 1276')
            enddo ! do i=1,klon  
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #ifdef ISOTRAC
         do i=1,klon
              if (iso_verif_traceur_nostop(zxtcond(1,i),'il pleut 1455') &
-                         .eq.1) then
-               write(*,*) 'zxtn(:,i)=',zxtn(:,i)
-               write(*,*) 'zxt(:,i)=',zxt(:,i)
-               write(*,*) 'zxtliq(:,i)=',zxtliq(:,i)
-               write(*,*) 'zxtice(:,i)=',zxtice(:,i)
+                         .eq.1) THEN
+               WRITE(*,*) 'zxtn(:,i)=',zxtn(:,i)
+               WRITE(*,*) 'zxt(:,i)=',zxt(:,i)
+               WRITE(*,*) 'zxtliq(:,i)=',zxtliq(:,i)
+               WRITE(*,*) 'zxtice(:,i)=',zxtice(:,i)
                stop
              endif
@@ -1782,5 +1776,5 @@
 
 #ifdef ISOTRAC        
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         do i=1,klon    
         ! colorier la vapeur résiduelle selon température de
@@ -1791,7 +1785,6 @@
         ! le condensat, car la condensation LS est un processus sous
         ! maille -> ne tagguer que le résidus de qn.
-          if ((zcond(i).gt.0.0).and.(zq(i).gt.0.0)) then 
-
-            if (rneb(i,k).gt.0.0) then
+          if ((zcond(i).gt.0.0).and.(zq(i).gt.0.0)) THEN
+            if (rneb(i,k).gt.0.0) THEN
               zcondn(i)=zcond(i)/rneb(i,k)
               do ixt=1,ntraciso
@@ -1823,5 +1816,5 @@
 #endif            
           ! bidouille
-          if (bidouille_anti_divergence) then
+          if (bidouille_anti_divergence) THEN
                 zxtcondn(iso_eau,i)=zcondn(i)
 #ifdef ISOVERIF                
@@ -1831,14 +1824,14 @@
           endif
 
-            if (option_traceurs.eq.17) then      
+            if (option_traceurs.eq.17) THEN
             CALL iso_recolorise_condensation(zqn(i),zcondn(i), &
                  zxtn(1,i),zxtcondn(1,i),zt(i),1.0,zxtres, &
                  seuil_tag_tmin_ls)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
                 ! cas du tag 18 ou 19
                 CALL iso_recolorise_condensation(zqn(i),zcondn(i), &
                  zxtn(1,i),zxtcondn(1,i),zqs(i),1.0,zxtres, &
                  seuil_tag_tmin_ls)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
                zxt(ixt,i)=rneb(i,k)*zxtres(ixt) &
@@ -1848,5 +1841,5 @@
          CALL iso_verif_traceur(zxt(1,i),'ilp 1025')
          do izone=izone_oce,izone_ddft
-          if ((izone.eq.izone_oce).or.(izone.eq.izone_ddft)) then
+          if ((izone.eq.izone_oce).or.(izone.eq.izone_ddft)) THEN
            ! avec condensation, on ne peut que perdre des traceurs à
            ! part le tag résuel et le condensat
@@ -1854,19 +1847,19 @@
                  zxt_ancien(itZonIso(izone,iso_eau),i) &
                 -zxt(itZonIso(izone,iso_eau),i),1e-8,'ilp 1270') &
-                .eq.1) then
-            write(*,*) 'i,izone,rneb=',i,izone,rneb(i,k)
-            write(*,*) 'zxt(:,i)=',zxt(:,i)
-            write(*,*) 'zxt_ancien(:,i)=',zxt_ancien(:,i)
-            write(*,*) 'zxtcs(:,i)=',zxtcs(:,i)
-            write(*,*) 'zxtres(:)=',zxtres(:)
-            write(*,*) 'zxtcond(:,i)=',zxtcond(:,i)
-            write(*,*) 'zxtn(:,i)=',zxtn(:,i)
-            write(*,*) 'zxtcondn(:,i)=',zxtcondn(:,i)
+                .eq.1) THEN
+            WRITE(*,*) 'i,izone,rneb=',i,izone,rneb(i,k)
+            WRITE(*,*) 'zxt(:,i)=',zxt(:,i)
+            WRITE(*,*) 'zxt_ancien(:,i)=',zxt_ancien(:,i)
+            WRITE(*,*) 'zxtcs(:,i)=',zxtcs(:,i)
+            WRITE(*,*) 'zxtres(:)=',zxtres(:)
+            WRITE(*,*) 'zxtcond(:,i)=',zxtcond(:,i)
+            WRITE(*,*) 'zxtn(:,i)=',zxtn(:,i)
+            WRITE(*,*) 'zxtcondn(:,i)=',zxtcondn(:,i)
             stop
            endif !if (iso_verif_positif_nostop(
-          endif !if ((izone.eq.izone_oce).or.(izone.eq.izone_ddft)) then
+          endif !if ((izone.eq.izone_oce).or.(izone.eq.izone_ddft)) THEN
          enddo !do izone=izone_oce,izone_revap
 #endif                     
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
         enddo !do i=1,klon
 
@@ -1875,11 +1868,10 @@
         CALL iso_verif_positif(float(option_cond-1),'ilp 1310')
 #endif        
-        endif ! if (option_tmin.ge.1) then
-
-        if (option_cond.eq.1) then
+        endif ! if (option_tmin.ge.1) THEN
+        if (option_cond.eq.1) THEN
         ! colorier le condensat en un tag spécifique
         do i=1,klon        
           do ixt=1+niso,ntraciso
-            if (index_zone(ixt).eq.izone_cond) then
+            if (index_zone(ixt).eq.izone_cond) THEN
               zxtcond(ixt,i)=zxtcond(index_iso(ixt),i)
             else
@@ -1895,10 +1887,10 @@
         enddo !do i=1,klon        
 #endif         
-      endif ! if (option_cond.ge.1) then
+      endif ! if (option_cond.ge.1) THEN
 #endif        
      
       
 #ifdef ISOVERIF
-!        write(*,*) 'ilp tmp 2066'
+!        WRITE(*,*) 'ilp tmp 2066'
       do i=1,klon
          do ixt=1,niso
@@ -1912,21 +1904,21 @@
          enddo !do ixt=1,niso
 #endif
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                          'il pleut 644',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
-         if (iso_HDO.gt.0) then  
-            if (zq(i).gt.ridicule) then
+         endif !if (iso_eau.gt.0) THEN
+         if (iso_HDO.gt.0) THEN
+            if (zq(i).gt.ridicule) THEN
              CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                          'il pleut 648')
-              if (iso_O18.gt.0) then                
+              if (iso_O18.gt.0) THEN
                 if (iso_verif_O18_aberrant_nostop(zxt(iso_HDO,i)/zq(i), &
-                 zxt(iso_O18,i)/zq(i),'il pleut 2059').eq.1) then
-                   write(*,*) 'i,k,zq=',i,k,zq(i)
+                 zxt(iso_O18,i)/zq(i),'il pleut 2059').eq.1) THEN
+                   WRITE(*,*) 'i,k,zq=',i,k,zq(i)
                    stop
                 endif !if (iso_verif_O18_aberrant_nostop
-              endif !if (iso_O18.gt.0) then
-            endif !if (zq(i).gt.ridicule) then
-         endif  ! if (iso_HDO.gt.0) then 
+              endif !if (iso_O18.gt.0) THEN
+            endif !if (zq(i).gt.ridicule) THEN
+         endif  ! if (iso_HDO.gt.0) THEN
         enddo  ! i=1,klon
 #ifdef ISOTRAC
@@ -2002,5 +1994,5 @@
       ! tombent
       do i=1,klon
-         if (rneb(i,k).gt.0.0) then
+         if (rneb(i,k).gt.0.0) THEN
             do ixt=1,ntraciso
                zxtoliq(ixt,i)=zxtcond(ixt,i)
@@ -2010,12 +2002,12 @@
           
 #ifdef ISOVERIF
-!       write(*,*) 'ilp tmp 1626: k,zoliq,zxtoliq(1,363)=',k,zoliq(363),zxtoliq(1,363)
+!       WRITE(*,*) 'ilp tmp 1626: k,zoliq,zxtoliq(1,363)=',k,zoliq(363),zxtoliq(1,363)
        do i=1,klon   
          do ixt=1,ntraciso
            if (iso_verif_noNAN_nostop(zxtoliq(ixt,i), &
-                 'il pleut 1628').eq.1) then
-             write(*,*) 'i,k,ixt=',i,k,ixt
-             write(*,*) 'rneb(i,k)=',rneb(i,k)
-             write(*,*) 'zxtcond(ixt,i)=',zxtcond(ixt,i)
+                 'il pleut 1628').eq.1) THEN
+             WRITE(*,*) 'i,k,ixt=',i,k,ixt
+             WRITE(*,*) 'rneb(i,k)=',rneb(i,k)
+             WRITE(*,*) 'zxtcond(ixt,i)=',zxtcond(ixt,i)
              stop
            endif
@@ -2025,25 +2017,25 @@
 #ifdef ISOVERIF
        !i=519
-       !write(*,*) 'k,i,zoliq(i)=',k,i,zoliq(i)
+       !WRITE(*,*) 'k,i,zoliq(i)=',k,i,zoliq(i)
        do i=1,klon   
            ! cam verif
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtoliq(iso_eau,i),zoliq(i), &
                   'il pleut 678',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
-           if (zoliq(i).gt.ridicule) then
-            if (iso_HDO.gt.0) then  
+           endif !if (iso_eau.gt.0) THEN
+           if (zoliq(i).gt.ridicule) THEN
+            if (iso_HDO.gt.0) THEN
                 ! Camille 9 mars 2023: on est moins stricte avec le condensat
                 CALL iso_verif_aberrant_choix(zxtoliq(iso_HDO,i),zoliq(i), &
                  ridicule_rain,deltalim_snow, 'il pleut 895a')
-              if (iso_O18.gt.0) then
+              if (iso_O18.gt.0) THEN
                 if (iso_verif_O18_aberrant_nostop(zxtoliq(iso_HDO,i)/zoliq(i), &
-                 zxtoliq(iso_O18,i)/zoliq(i),'il pleut 895b').eq.1) then
-                   write(*,*) 'i,k,zoliq,zfice=',i,k,zoliq(i),zfice(i)
+                 zxtoliq(iso_O18,i)/zoliq(i),'il pleut 895b').eq.1) THEN
+                   WRITE(*,*) 'i,k,zoliq,zfice=',i,k,zoliq(i),zfice(i)
                    !stop
                 endif
-              endif ! if (iso_HDO.gt.0) then
-            endif  !if (iso_HDO.gt.0) then
-           endif !if (zoliq(i).gt.ridicule) then
+              endif ! if (iso_HDO.gt.0) THEN
+            endif  !if (iso_HDO.gt.0) THEN
+           endif !if (zoliq(i).gt.ridicule) THEN
           ! end cam verif
          enddo ! do i=1,klon
@@ -2063,5 +2055,5 @@
                  !  quantite d'eau a eliminer: zchau (Sundqvist, 1978)
                  !  meme chose pour la glace: zfroi (Zender & Kiehl, 1997)
-                 if (ptconv(i,k)) then
+                 if (ptconv(i,k)) THEN
                     zcl   =cld_lc_con
                     zct   =1./cld_tau_con
@@ -2079,5 +2071,5 @@
                  ! surfacique modifiee, qui est plus grande et reduit
                  ! sinon l'eau in-cloud de facon artificielle
-                 if ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) then
+                 if ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
                     zchau    = zct   *dtime/REAL(ninter) * zoliq(i) &
                          *(1.0-EXP(-(zoliq(i)/ctot_vol(i,k)/zcl   )**2)) *(1.-zfice(i))
@@ -2119,5 +2111,5 @@
       do i=1,klon
        IF (rneb(i,k).GT.0.0) THEN
-        if (zcond(i).gt.ridicule**2) then
+        if (zcond(i).gt.ridicule**2) THEN
             ! le 21 dec: on change .gt.0 en .gt.ridicule**2 pour éviter valeur
             ! ridiculement petites
@@ -2125,10 +2117,10 @@
              zxtoliq(ixt,i)=zoliq(i)*(zxtcond(ixt,i)/zcond(i))
            enddo !do ixt=1,niso           
-        else !if (zcond(i).gt.0.0) then            
-           if (zoliq(i).lt.ridicule) then
+        else !if (zcond(i).gt.0.0) THEN
+           if (zoliq(i).lt.ridicule) THEN
                do ixt=1,ntraciso
                 zxtoliq(ixt,i)=0.0
                enddo
-           else !if (zoliq(i).lt.ridicule) then
+           else !if (zoliq(i).lt.ridicule) THEN
                ! modif 28 oct 2008
               do ixt=1,niso
@@ -2137,5 +2129,5 @@
 #ifdef ISOTRAC
               do ixt=niso+1,ntraciso
-                if (index_zone(ixt).eq.izone_poubelle) then
+                if (index_zone(ixt).eq.izone_poubelle) THEN
                     zxtoliq(ixt,i)=zoliq(i)*Rdefault(ixt)
                 else
@@ -2145,10 +2137,10 @@
 #endif    
 #ifdef ISOVERIF                   
-              write(*,*) 'il pleut 1412: zcond(i)=',zcond(i)
-              write(*,*) 'zoliq(i)=',zoliq(i)
+              WRITE(*,*) 'il pleut 1412: zcond(i)=',zcond(i)
+              WRITE(*,*) 'zoliq(i)=',zoliq(i)
               stop
 #endif                   
-            endif   !if (zoliq(i).lt.ridicule) then         
-        endif !if (zcond(i).gt.0.0) then
+            endif   !if (zoliq(i).lt.ridicule) THEN
+        endif !if (zcond(i).gt.0.0) THEN
        endif !IF (rneb(i,k).GT.0.0) THEN
       enddo ! do i=1,klon 
@@ -2169,19 +2161,19 @@
       do i=1,klon  
         IF (rneb(i,k).GT.0.0) THEN
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtoliq(iso_eau,i),zoliq(i), &
                  'il pleut 749',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if (iso_HDO.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
+          if (iso_HDO.gt.0) THEN
                 CALL iso_verif_aberrant_choix(zxtoliq(iso_HDO,i),zoliq(i), &
                  ridicule_rain, deltalim_snow, 'il pleut 963')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
         ! end cam verif
 #ifdef ISOTRAC
-!             write(*,*) 'ilp 1201 tmp: i=',i
-!             write(*,*) 'zoliq(i)=',zoliq(i)
-!             write(*,*) 'zxtoliq(i)=',zxtoliq(iso_eau:ntraciso:3,i)
-!             write(*,*) 'zcond(i)=',zcond(i)
-!             write(*,*) 'zxtcond(i)=',zxtcond(iso_eau:ntraciso:3,i)
+!             WRITE(*,*) 'ilp 1201 tmp: i=',i
+!             WRITE(*,*) 'zoliq(i)=',zoliq(i)
+!             WRITE(*,*) 'zxtoliq(i)=',zxtoliq(iso_eau:ntraciso:3,i)
+!             WRITE(*,*) 'zcond(i)=',zcond(i)
+!             WRITE(*,*) 'zxtcond(i)=',zxtcond(iso_eau:ntraciso:3,i)
              CALL iso_verif_traceur(zxtoliq(1,i),'il pleut 1634')
 #endif        
@@ -2209,5 +2201,5 @@
 !     &           * (paprs(i,k)-paprs(i,k+1))/(RG*dtime)
 !          enddo  
-            if (zcond(i).gt.ridicule**2) then
+            if (zcond(i).gt.ridicule**2) THEN
                 ! modif le 19 dec 2012 pour éviter zcond pathologiquement petits
                 do ixt=1,ntraciso
@@ -2217,6 +2209,6 @@
                         * (paprs(i,k)-paprs(i,k+1))/(RG*dtime)
                 enddo !do ixt=1,niso
-            else !if (zcond(i).gt.0.0) then
-                if (zcond(i)-zoliq(i).gt.0.0) then
+            else !if (zcond(i).gt.0.0) THEN
+                if (zcond(i)-zoliq(i).gt.0.0) THEN
                     do ixt=1,niso
                         zxtrfl(ixt,i)=zxtrfl(ixt,i) &
@@ -2226,11 +2218,11 @@
                     enddo !do ixt=1,niso  
 #ifdef ISOVERIF                   
-                    write(*,*) 'il pleut 1023: zcond(i)=',zcond(i)
-                    write(*,*) 'zcond(i),zoliq(i)=',zcond(i),zoliq(i)
+                    WRITE(*,*) 'il pleut 1023: zcond(i)=',zcond(i)
+                    WRITE(*,*) 'zcond(i),zoliq(i)=',zcond(i),zoliq(i)
                     stop
 #endif        
 #ifdef ISOTRAC
                    do ixt=niso+1,ntraciso
-                      if (index_zone(ixt).eq.izone_poubelle) then
+                      if (index_zone(ixt).eq.izone_poubelle) THEN
                         zxtrfl(ixt,i)=zxtrfl(ixt,i) &
                         +Rdefault(ixt) &
@@ -2240,9 +2232,8 @@
                     enddo !do ixt=1,niso
 #endif                 
-                else !if (zcond(i)-zoliq(i).gt.0.0) then
+                else !if (zcond(i)-zoliq(i).gt.0.0) THEN
                     ! zrfl non modifié
-                endif !if (zcond(i)-zoliq(i).gt.0.0) then
-            endif !if (zcond(i).gt.0.0) then
-
+                endif !if (zcond(i)-zoliq(i).gt.0.0) THEN
+            endif !if (zcond(i).gt.0.0) THEN
          ! cam verif         
 !#ifdef ISOVERIF
@@ -2252,10 +2243,10 @@
                          'il pleut 772').eq.1).or. &
                          (iso_verif_noNAN_nostop(zxtoliq(ixt,i), &
-                         'il pleut 772b').eq.1)) then
-               write(*,*) 'zcond(i)=',zcond(i)
-               write(*,*) 'zxtcond(ixt,i)=',zxtcond(ixt,i)
-               write(*,*) 'zoliq(i)=',zoliq(i)
-               write(*,*) 'Rdefault(ixt)=',Rdefault(ixt)
-               write(*,*) 'paprs(i,k),paprs(i,k+1)=',paprs(i,k),paprs(i,k+1)
+                         'il pleut 772b').eq.1)) THEN
+               WRITE(*,*) 'zcond(i)=',zcond(i)
+               WRITE(*,*) 'zxtcond(ixt,i)=',zxtcond(ixt,i)
+               WRITE(*,*) 'zoliq(i)=',zoliq(i)
+               WRITE(*,*) 'Rdefault(ixt)=',Rdefault(ixt)
+               WRITE(*,*) 'paprs(i,k),paprs(i,k+1)=',paprs(i,k),paprs(i,k+1)
                stop
              endif
@@ -2263,24 +2254,24 @@
 #endif
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(d_xtl(iso_eau,i,k), &
                  d_ql(i,k),'il pleut 771',errmax,errmaxrel)
               if (iso_verif_egalite_choix_nostop( &
                  zxtrfl(iso_eau,i),zrfl(i), &
-                 'il pleut 771b',errmax,errmaxrel).eq.1)then
-                 write(*,*) 'trace_cas(i)=',trace_cas(i)
-                 write(*,*) 'zxtcond(iso_eau,i)',zxtcond(iso_eau,i)
-                 write(*,*) 'zcond(i)',zcond(i)
-                 write(*,*) 'zxtoliq(iso_eau,i)',zxtoliq(iso_eau,i)
-                 write(*,*) 'zoliq(i)',zoliq(i)
+                 'il pleut 771b',errmax,errmaxrel).eq.1)THEN
+                 WRITE(*,*) 'trace_cas(i)=',trace_cas(i)
+                 WRITE(*,*) 'zxtcond(iso_eau,i)',zxtcond(iso_eau,i)
+                 WRITE(*,*) 'zcond(i)',zcond(i)
+                 WRITE(*,*) 'zxtoliq(iso_eau,i)',zxtoliq(iso_eau,i)
+                 WRITE(*,*) 'zoliq(i)',zoliq(i)
                  stop
               endif
-            endif !if (iso_eau.gt.0) then
-            if (iso_HDO.gt.0) then
+            endif !if (iso_eau.gt.0) THEN
+            if (iso_HDO.gt.0) THEN
                 IF ((t(i,1)) .LT. RTT) THEN
                 CALL iso_verif_aberrant_choix(zxtrfl(iso_hdo,i), &
                  zrfl(i),ridicule_rain,deltalim_snow,'il pleut 1458')
                 endif
-            endif !if (iso_HDO.gt.0) then
+            endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
              CALL iso_verif_traceur(zxtrfl(1,i),'il pleut 1729')
@@ -2288,12 +2279,12 @@
 #endif
          ! bidouille
-         if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then 
+         if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
                zxtrfl(iso_eau,i)= zrfl(i)   
-!             if (zxtrfl(iso_eau,i).gt.0.0) then
+!             if (zxtrfl(iso_eau,i).gt.0.0) THEN
 !             do ixt=1,niso
 !               zxtrfl(ixt,i)=zxtrfl(ixt,i)*zrfl(i)/zxtrfl(iso_eau,i)
 !             enddo
-!           endif !if (zxtrfl(iso_eau,i).gt.0.0) then
-         endif ! if (bidouille_anti_divergence) then
+!           endif !if (zxtrfl(iso_eau,i).gt.0.0) THEN
+         endif ! if (bidouille_anti_divergence) THEN
          ! end bidouille
          ! end cam verif
@@ -2323,5 +2314,5 @@
              zqpreci(i)=(zcond(i)-zoliq(i))*zfice(i)
              zqprecl(i)=(zcond(i)-zoliq(i))*(1.-zfice(i))
-           if (fl_cor_ebil .GT. 0) then
+           if (fl_cor_ebil .GT. 0) THEN
              zcp=RCPD*(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
              coef1 = rneb(i,k)*RLSTT/zcp*zdqsdT_raw(i)
@@ -2374,5 +2365,5 @@
 !CR on prend en compte la phase glace
 !JLD inutile car on ne passe jamais ici si .not.ice_thermo
-!           if (.not.ice_thermo) then
+!           if (.not.ice_thermo) THEN
 !           d_ql(i,k) = zoliq(i)
 !           d_qi(i,k) = 0.
@@ -2396,5 +2387,5 @@
               zifl(i) = zifl(i)+zrfl(i)
               zrfl(i) = 0.
-           if (fl_cor_ebil .GT. 0) then
+           if (fl_cor_ebil .GT. 0) THEN
               zt(i)=zt(i)+zsolid*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *(RLSTT-RLVTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -2466,5 +2457,5 @@
 #ifdef ISOVERIF
       DO i = 1, klon
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(pxtrainfl(iso_eau,i,k),prfl(i,k), &
                  'il pleut 804',errmax,errmaxrel)
@@ -2474,21 +2465,21 @@
                  'il pleut 1612',errmax,errmaxrel)
           if (iso_verif_positif_choix_nostop(pxtrainfl(iso_eau,i,k), &
-                 ridicule_rain,'ilp 1547').eq.1) then
-            write(*,*) 'prfl(i,k)=',prfl(i,k)
+                 ridicule_rain,'ilp 1547').eq.1) THEN
+            WRITE(*,*) 'prfl(i,k)=',prfl(i,k)
             stop
           endif  
-        endif !if (iso_eau.gt.0) then
-        if (iso_HDO.gt.0) then
-          if (prfl(i,k).gt.ridicule_rain) then
+        endif !if (iso_eau.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
+          if (prfl(i,k).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant(pxtrainfl(iso_HDO,i,k)/prfl(i,k), &
                   'il pleut 1020')
-          endif !if (prfl(i,k).gt.ridicule_rain) then           
+          endif !if (prfl(i,k).gt.ridicule_rain) THEN
           CALL iso_verif_aberrant_choix(pxtsnowfl(iso_HDO,i,k),psfl(i,k), &
                  ridicule_rain, deltalim_snow, 'il pleut 1024')
-          if (zq(i).gt.ridicule) then
+          if (zq(i).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                  'il pleut 1204')
-          endif !if (zq(i).gt.ridicule) then          
-         endif !if (iso_HDO.gt.0) then
+          endif !if (zq(i).gt.ridicule) THEN
+         endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur(zxt(1,i),'il pleut 1792')
@@ -2513,28 +2504,28 @@
          ! cam verif
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              if (iso_verif_egalite_choix_nostop(d_xt(iso_eau,i,k), &
-                  d_q(i,k),'il pleut 838',errmax,errmaxrel).eq.1) then
-                write(*,*) 'i,k=',i,k
-                write(*,*) 'zxt,zq=',zxt(iso_eau,i),zq(i)
-                write(*,*) 'xt,q=',xt(iso_eau,i,k),q(i,k)
+                  d_q(i,k),'il pleut 838',errmax,errmaxrel).eq.1) THEN
+                WRITE(*,*) 'i,k=',i,k
+                WRITE(*,*) 'zxt,zq=',zxt(iso_eau,i),zq(i)
+                WRITE(*,*) 'xt,q=',xt(iso_eau,i,k),q(i,k)
                 stop
              endif
-           endif !if (iso_eau.gt.0) then
-           if (1.eq.0) then
-           if (iso_HDO.gt.0) then
-            if (abs(d_q(i,k)).gt.max(errmaxrel*q(i,k),errmax)) then
+           endif !if (iso_eau.gt.0) THEN
+           if (1.eq.0) THEN
+           if (iso_HDO.gt.0) THEN
+            if (abs(d_q(i,k)).gt.max(errmaxrel*q(i,k),errmax)) THEN
               if (iso_verif_aberrant_nostop( &
-                 d_xt(iso_HDO,i,k)/d_q(i,k),'il pleut 1229').eq.1) then
-!                write(*,*) 'd_q(i,k)=',d_q(i,k)
-!                write(*,*) 'q(i,k)=',q(i,k)
-!                write(*,*) 'zq(i)=',zq(i)
-!                write(*,*) 'deltaD_prec=',deltaD(xt(iso_HDO,i,k)/q(i,k))
-!                write(*,*) 'deltaD=',deltaD(zxt(iso_HDO,i)/zq(i))
+                 d_xt(iso_HDO,i,k)/d_q(i,k),'il pleut 1229').eq.1) THEN
+!                WRITE(*,*) 'd_q(i,k)=',d_q(i,k)
+!                WRITE(*,*) 'q(i,k)=',q(i,k)
+!                WRITE(*,*) 'zq(i)=',zq(i)
+!                WRITE(*,*) 'deltaD_prec=',deltaD(xt(iso_HDO,i,k)/q(i,k))
+!                WRITE(*,*) 'deltaD=',deltaD(zxt(iso_HDO,i)/zq(i))
 !                stop       
               endif !   if (iso_verif_aberrant_nostop(
-            endif !if (zq(i).gt.ridicule) then          
-           endif !if (iso_HDO.gt.0) then
-          endif !if (1.eq.0) then
+            endif !if (zq(i).gt.ridicule) THEN
+           endif !if (iso_HDO.gt.0) THEN
+          endif !if (1.eq.0) THEN
 #endif
          ! end cam verif
@@ -2547,5 +2538,5 @@
      DO i = 1,klon
 
-        if(zcond(i).gt.zoliq(i)+1.e-10) then
+        IF(zcond(i).gt.zoliq(i)+1.e-10) THEN
          beta(i,k) = (zcond(i)-zoliq(i))/zcond(i)/dtime
         else
@@ -2607,5 +2598,5 @@
       ! verif en fin de boucle
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         do i=1,klon       
         CALL iso_verif_egalite_choix(zxtrfl(iso_eau,i) &
@@ -2618,5 +2609,5 @@
 #endif        
         enddo !do i=1,klon
-      endif !  if (iso_eau.gt.0) then        
+      endif !  if (iso_eau.gt.0) THEN
 #endif
 #endif      
@@ -2663,18 +2654,18 @@
 #endif         
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix(xtrain(iso_eau,i),rain(i), &
                  'il pleut 926a',errmax,errmaxrel)
-        if (snow(i)*dtime.gt.ridicule) then
+        if (snow(i)*dtime.gt.ridicule) THEN
            CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i), &
                   'il pleut 938a',errmax,errmaxrel)
-        endif !if (snow(i)*dtime.gt.ridicule) then
-       endif !if (iso_eau.gt.0) then
-       if (iso_HDO.gt.0) then
+        endif !if (snow(i)*dtime.gt.ridicule) THEN
+       endif !if (iso_eau.gt.0) THEN
+       if (iso_HDO.gt.0) THEN
            CALL iso_verif_aberrant_choix(xtrain(iso_hdo,i),rain(i), &
                  ridicule_rain,deltalim,'il pleut 926b')
            CALL iso_verif_aberrant_choix(xtsnow(iso_hdo,i),snow(i), &
                   ridicule_rain,deltalim_snow,'il pleut 938b')
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
        CALL iso_verif_traceur(xtrain(1,i),'il pleut 1952')
@@ -2711,5 +2702,5 @@
   ENDIF
 
-  if (ncoreczq>0) then
+  if (ncoreczq>0) THEN
      WRITE(lunout,*)'WARNING : ZQ dans fisrtilp ',ncoreczq,' val < 1.e-15.'
   endif
@@ -2721,8 +2712,8 @@
        do k=1,klev
         do i=1,klon
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(d_xtl(iso_eau,i,k),d_ql(i,k), &
                   'il pleut 1289',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
          CALL iso_verif_traceur(d_xtl(1,i,k),'il pleut 1982')
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5116)
@@ -355,5 +355,5 @@
   ! PRINT*, 'wake initialisations'
 !#ifdef ISOVERIF
-!        write(*,*) 'wake 358: entree'
+!        WRITE(*,*) 'wake 358: entree'
 !#endif
 
@@ -398,6 +398,5 @@
   ! alpk = 0.05
 
- if (first) then
-
+ if (first) THEN
   igout = klon/2+1/klon
 
@@ -686,24 +685,24 @@
   DO k = 1, klev
     DO i = 1, klon
-      ! write(*,*)'wake 1',i,k,rd,te(i,k)
+      ! WRITE(*,*)'wake 1',i,k,rd,te(i,k)
       rho(i, k) = p(i, k)/(rd*te(i,k))
-      ! write(*,*)'wake 2',rho(i,k)
+      ! WRITE(*,*)'wake 2',rho(i,k)
       IF (k==1) THEN
-        ! write(*,*)'wake 3',i,k,rd,te(i,k)
+        ! WRITE(*,*)'wake 3',i,k,rd,te(i,k)
         rhoh(i, k) = ph(i, k)/(rd*te(i,k))
-        ! write(*,*)'wake 4',i,k,rd,te(i,k)
+        ! WRITE(*,*)'wake 4',i,k,rd,te(i,k)
         zhh(i, k) = 0
       ELSE
-        ! write(*,*)'wake 5',rd,(te(i,k)+te(i,k-1))
+        ! WRITE(*,*)'wake 5',rd,(te(i,k)+te(i,k-1))
         rhoh(i, k) = ph(i, k)*2./(rd*(te(i,k)+te(i,k-1)))
-        ! write(*,*)'wake 6',(-rhoh(i,k)*RG)+zhh(i,k-1)
+        ! WRITE(*,*)'wake 6',(-rhoh(i,k)*RG)+zhh(i,k-1)
         zhh(i, k) = (ph(i,k)-ph(i,k-1))/(-rhoh(i,k)*rg) + zhh(i, k-1)
       END IF
-      ! write(*,*)'wake 7',ppi(i,k)
+      ! WRITE(*,*)'wake 7',ppi(i,k)
       the(i, k) = te(i, k)/ppi(i, k)
       thu(i, k) = (te(i,k)-deltatw(i,k)*sigmaw(i))/ppi(i, k)
       tu(i, k) = te(i, k) - deltatw(i, k)*sigmaw(i)
       qu(i, k) = qe(i, k) - deltaqw(i, k)*sigmaw(i)
-      ! write(*,*)'wake 8',(rd*(te(i,k)+deltatw(i,k)))
+      ! WRITE(*,*)'wake 8',(rd*(te(i,k)+deltatw(i,k)))
       rhow(i, k) = p(i, k)/(rd*(te(i,k)+deltatw(i,k)))
       dth(i, k) = deltatw(i, k)/ppi(i, k)
@@ -713,11 +712,11 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(deltaqw(i,k),deltaxtw(iso_eau,i,k),'wake 723a')
               CALL iso_verif_egalite(qu(i,k),xtu(iso_eau,i,k),'wake 723b')
         endif
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
                if (iso_verif_aberrant_enc_choix_nostop(xtu(iso_hdo,i,k),qu(i,k),ridicule,deltalim, &
-                        'wake 723c xtu').eq.1) then
+                        'wake 723c xtu').eq.1) THEN
                      stop
                endif
@@ -1456,5 +1455,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(deltaqw(i,k-1),deltaxtw(iso_eau,i,k-1),'wake 1460a')
         CALL iso_verif_egalite(deltaqw(i,k),deltaxtw(iso_eau,i,k),'wake 1460b')
@@ -1504,5 +1503,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(d_q1(i,k),d_xt1(iso_eau,i,k),'wake 1502a')
         CALL iso_verif_egalite(d_q2(i,k),d_xt2(iso_eau,i,k),'wake 1502b')
@@ -1632,5 +1631,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(dqke(i,k),dxtKE(iso_eau,i,k),'wake 1621a')
         CALL iso_verif_egalite(dqdwn(i,k),dxtdwn(iso_eau,i,k),'wake 1621b')
@@ -1663,9 +1662,9 @@
           ! Jingmei
 
-          ! write(lunout,*)'wake.F ',i,k, dtimesub,d_deltat_gw(i,k),
+          ! WRITE(lunout,*)'wake.F ',i,k, dtimesub,d_deltat_gw(i,k),
           ! &  Tgw(i,k),deltatw(i,k)
           d_deltat_gw(i, k) = d_deltat_gw(i, k) - tgw(i, k)*deltatw(i, k)* &
             dtimesub
-          ! write(lunout,*)'wake.F ',i,k, dtimesub,d_deltatw(i,k)
+          ! WRITE(lunout,*)'wake.F ',i,k, dtimesub,d_deltatw(i,k)
           ff(i) = d_deltatw(i, k)/dtimesub
 
@@ -1709,5 +1708,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(dqke(i,k),dxtKE(iso_eau,i,k),'wake 1692a')
         CALL iso_verif_egalite(deltaqw(i,k),deltaxtw(iso_eau,i,k),'wake 1692b')
@@ -1728,5 +1727,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_vect2D(d_deltaxtw,d_deltaqw, &
                  'wake 1359',ntraciso,klon,klev)
@@ -1798,5 +1797,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         DO k= 1,klev 
           DO i = 1,klon 
@@ -1805,5 +1804,5 @@
           enddo ! DO i = 1,klon     
         enddo ! DO k= 1,klev 
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -1840,6 +1839,6 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      write(*,*) 'wake 1859'
-      if (iso_eau.gt.0) then
+      WRITE(*,*) 'wake 1859'
+      if (iso_eau.gt.0) THEN
         DO k= 1,klev 
           DO i = 1,klon 
@@ -1848,6 +1847,6 @@
           enddo ! DO i = 1,klon     
         enddo ! DO k= 1,klev 
-      endif !if (iso_eau.gt.0) then     
-      if (iso_hdo.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
+      if (iso_hdo.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
             xte,qe, &
@@ -2232,5 +2231,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_hdo.gt.0) then
+      if (iso_hdo.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
               xtu,qu, &
